Subject: [babel] information model

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 31 Oct 2016 21:38:37 +0000

I'm sorry I didn't get an update posted for the information model (https://tools.ietf.org/html/draft-stark-babel-information-model-00). I did start by applying most of the changes Juliusz had suggested last time (see below). There were also suggestions (during discussion) to expand the data model to define a variety of optional elements. I'm going to re-listen to the recording of this part of the last session to make sure I remember elements accurately.
Barbara

> > int                   babel-version;
> 
> This should be a string.  Possible values might be "babeld-1.7.1-64-g75de8a4"
> and "bird-1.6.1".
> 
> This should be renamed to "babel-implementation-version".
OK

> > int                   babel-self-router-id;
> 
> This is an opaque 64-bit identifier.  Should it be an int?
If not int, then what? int is usually just the base 10 representation of a binary value.

> > babel-interfaces-obj  babel-interfaces<1..*>;
> > babel-sources-obj     babel-sources<1..*>;
> > babel-routes-obj      babel-routes<1..*>;
> 
> Why are these optional, rather than non-optional <0..*>?  (It's equivalent,
> but it seems more natural that way.)
OK
 
> > }babel-constants-obj;
> 
> I suggest removing all of these values except the UDP port, and having per-
> interface values.  These are just default values in the reference
> implementation, I'm not sure they should be standardised.
OK
 
> Multicast group should be added.
As optional or required, and with what data type?
 
> > }babel-interfaces-obj;
> 
> This needs further discussion, I fear some of these are implementation
> details.
To be discussed.
 
> > [int                  babel-neighbor-router-id;]
> > [...]
> > }babel-neighbors-obj;
> 
> The router ID of a neighbour cannot be reliably determined in general: if a
> router doesn't announce any routes, it never announces its router-id.
> Suggest removing.
OK